%define name sqlguipart
%define version 0.5.1
%define release %mkrel 7
%define qtdir %_prefix/lib/qt3
%define major 0
%define libname %mklibname %name %major

Summary: 	Graphical database-frontend for KDE
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
URL:		http://www.sqlgui.org/
Group: 		Databases
Source: 	%{name}-%{version}.tar.bz2
Buildroot: 	%{_tmppath}/%{name}-buildroot
Requires:	libqt3 kdelibs
BuildRequires: qt3-devel kdelibs-devel
BuildRequires: X11-devel
BuildRequires: arts
BuildRequires: libjpeg-devel libfam-devel libart_lgpl-devel
BuildRequires: libpng-devel

%description
SqlGui is a graphical database-frontend for KDE.
Currently MySQL and PostgrSQL are supported.
SqlGui was developed, because of the need of having a
database-frontend, which was able to display table-contents, 
create and delete databases and tables and also send 
individual sql-queries to the database-server.

%package -n %{libname}
Summary:        Graphical database-frontend for KDE
Group:          Databases
Provides:	%name = %version-%release
Obsoletes:	%name
Provides:	lib%name = %version-%release

%description -n %{libname}
SqlGui is a graphical database-frontend for KDE.
Currently MySQL and PostgrSQL are supported.
SqlGui was developed, because of the need of having a
database-frontend, which was able to display table-contents,
create and delete databases and tables and also send
individual sql-queries to the database-server.

%package -n %{libname}-devel
Summary: Development files from %{name}
Group: Development/Other
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Provides: lib%name-devel = %version-%release

%description -n %{libname}-devel
Development files from %{name}.
You need it to build application which use it.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" KDEDIR=%_libdir \
./configure --prefix=%{_prefix} --with-qt-dir=%{qtdir} --libdir=%{_libdir} --with-qt-libraries=%{qtdir}/%_lib
%make

%install
rm -f $RPM_BUILD_ROOT%{_datadir}/services

# desktop file gets installed wrong!
mkdir -p $RPM_BUILD_ROOT%{_datadir}/services/
install -c -p -m 644 ./sqlguipart/sqlguipart.desktop  $RPM_BUILD_ROOT/usr/share/services/

%makeinstall_std

%find_lang %name

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname -f %name.lang
%defattr(-,root,root)
%doc README INSTALL AUTHORS
%{_datadir}/services/*
%{_datadir}/apps/*
%{_libdir}/libsqlguipart-0.5.1.so

%files -n %libname-devel
%defattr(-,root,root)
%doc README INSTALL AUTHORS
%dir %{_includedir}/sqlgui
%{_includedir}/sqlgui/*.h
%{_libdir}/*.la
%{_libdir}/libsqlguipart.so




%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-7mdv2008.1
+ Revision: 171120
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5.1-6mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - fix summary-ended-with-dot
    - kill changelog left by repsys


* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 17:48:24 (41152)
- rebuild

* Fri Jul 14 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-07-14 17:37:31 (41151)
Import sqlguipart

* Sat May 07 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.1-5mdk
- fix 64bits build

* Thu Jul 22 2004 Michael Scherer <misc@mandrake.org> 0.5.1-4mdk 
- rebuild for new gcc

* Fri May 14 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-3mdk
- Birthday rebuild

